# Notifications

Each time that a Submerchant:

* is successfully onboarded through the Referral Signup Form, or&#x20;
* a change in information has occurred in a Submerchant of yours

A webhook notification will be sent to the Referral URL that you defined at:

> Merchant Panel :arrow\_right: Settings :arrow\_right: API Access :arrow\_right: **Referral URL**

{% hint style="info" %}

#### Firewall configurations

Bear in mind we will only connect through ports 80 and 443. Make sure your `Referral URL` has one of those ports open accepting connections from us.
{% endhint %}

#### Example

```json
{
    "sub_merchant_id":18703
}
```

<table><thead><tr><th width="170.91927083333331">Field</th><th width="162.45703125">Format</th><th>Description</th></tr></thead><tbody><tr><td><code>sub_merchant_id</code></td><td>Integer</td><td>Identifier of the SubMerchant on our end.</td></tr></tbody></table>

### Retrieve Submerchant details

With the received **`sub_merchant_id`** you can now retrieve the recently created Submerchant's details.

In order to do so, you can generate an API request to the <a href="https://app.gitbook.com/s/0lbPmhFPUb55BAkK3G6F/platforms-booster/get-submerchant-information" class="button primary" data-icon="magnifying-glass">Get submerchant information</a> or you can visit the dedicated section in the Merchant Panel ("Referred merchants").

{% code title="Example response GET /v3/sub\_merchants/{sub\_merchant\_id}" %}

```json
{
    "sub_merchant_id": 18703,
    "markup_fee": 2.00,
    "sub_merchant_name": "Dunder Mifflin",
    "email": "johndoe@onekeypayments.com",
    "status": "ACTIVE",
    "external_submerchant_id":"user-9876"
}
```

{% endcode %}

{% hint style="success" %}

#### `markup_fee`&#x20;

The `markup_fee` is the commision that the Platform receives for each transaction successfully created by the Submerchant.\
Note that the `markup_fee` received in the response, is the default value for all recently created Submerchants. It can be aligned with your commercial representative.

You can update the value via API <a href="https://app.gitbook.com/s/0lbPmhFPUb55BAkK3G6F/platforms-booster/update-a-commission" class="button secondary" data-icon="arrows-rotate-reverse">Update a comission</a> and also through the Merchant Panel (in the *Referred merchants* section).
{% endhint %}

{% hint style="warning" %}

#### `status`

Note that only Submerchants with status `ACTIVE` are capable to process payments.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/guides/platforms-booster/notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
